### Function

# WebKit WebExtensionMatchPattern new_with_string

since: 2.48

#### Declaration [src]

    WebKitWebExtensionMatchPattern*
    webkit_web_extension_match_pattern_new_with_string (
      const gchar* string,
      GError** error
    )

#### Description [src]

Returns a new `WebKitWebExtensionMatchPattern` for the specified `string`.

Available since: 2.48

#### Parameters

`string`

  Type: `const gchar*`

  A pattern string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `WebKitWebExtensionMatchPattern`

A newly created `WebKitWebExtensionMatchPattern`, or `NULL` if the pattern string is invalid.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.